unordered_set File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | _GLIBCXX_EXPERIMENTAL_UNORDERED_SET

## Typedefs

template<typename _Key , typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>
using | std::experimental::fundamentals_v2::pmr::unordered_multiset = std::unordered_multiset< _Key, _Hash, _Pred, polymorphic_allocator< _Key > >
template<typename _Key , typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>
using | std::experimental::fundamentals_v2::pmr::unordered_set = std::unordered_set< _Key, _Hash, _Pred, polymorphic_allocator< _Key > >

## Functions

template<typename _Key , typename _Hash , typename _CPred , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (unordered_multiset< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key , typename _Hash , typename _CPred , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (unordered_set< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/unordered_set.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_UNORDERED_SET

#define _GLIBCXX_EXPERIMENTAL_UNORDERED_SET

Definition at line 31 of file experimental/unordered_set.

## Typedef Documentation

## unordered_multiset

template<typename _Key , typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>

using std::experimental::fundamentals_v2::pmr::unordered_multiset = typedef std::unordered_multiset<_Key, _Hash, _Pred, polymorphic_allocator<_Key> >

Definition at line 81 of file experimental/unordered_set.

## unordered_set

template<typename _Key , typename _Hash = hash<_Key>, typename _Pred = equal_to<_Key>>

using std::experimental::fundamentals_v2::pmr::unordered_set = typedef std::unordered_set<_Key, _Hash, _Pred, polymorphic_allocator<_Key> >

Definition at line 76 of file experimental/unordered_set.